[PREFIX][solaris] patch for python-2.4.4-r04.2

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

[PREFIX][solaris] patch for python-2.4.4-r04.2

Fabrizio Listello
This is a little patch for python ebuild.
I just added '{}' or it will die for every non-darwin.


svn diff python-2.4.4-r04.2.ebuild
Index: python-2.4.4-r04.2.ebuild
===================================================================
--- python-2.4.4-r04.2.ebuild   (revision 6685)
+++ python-2.4.4-r04.2.ebuild   (working copy)
@@ -197,7 +197,7 @@
                --with-gcc \
                ${myconf} || die
        emake || die "Parallel make failed"
-       [[ ${CHOST} == *-darwin* ]] && emake libpython2.4.dylib || die
+       [[ ${CHOST} == *-darwin* ]] && { emake libpython2.4.dylib || die }
 }

 src_install() {


--

FList
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: [PREFIX][solaris] patch for python-2.4.4-r04.2

Fabian Groffen-2
On 11-06-2007 12:39:24 +0200, Fabrizio Listello wrote:
> This is a little patch for python ebuild.
> I just added '{}' or it will die for every non-darwin.

my apologies for my lameness.  Consider it fixed.

Thanks!

>
>
> svn diff python-2.4.4-r04.2.ebuild
> Index: python-2.4.4-r04.2.ebuild
> ===================================================================
> --- python-2.4.4-r04.2.ebuild   (revision 6685)
> +++ python-2.4.4-r04.2.ebuild   (working copy)
> @@ -197,7 +197,7 @@
>                --with-gcc \
>                ${myconf} || die
>        emake || die "Parallel make failed"
> -       [[ ${CHOST} == *-darwin* ]] && emake libpython2.4.dylib || die
> +       [[ ${CHOST} == *-darwin* ]] && { emake libpython2.4.dylib || die }
> }
>
> src_install() {
>
>
> --
>
> FList
> --
> [hidden email] mailing list
>

--
Fabian Groffen
Gentoo on a different level

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: [PREFIX][solaris] patch for python-2.4.4-r04.2

Fabrizio Listello
my apologies for my lameness., too.
I send the patch before testing... there is a ";" missing after "die".


On 6/11/07, Fabian Groffen <[hidden email]> wrote:

> On 11-06-2007 12:39:24 +0200, Fabrizio Listello wrote:
> > This is a little patch for python ebuild.
> > I just added '{}' or it will die for every non-darwin.
>
> my apologies for my lameness.  Consider it fixed.
>
> Thanks!
>
> >
> >
> > svn diff python-2.4.4-r04.2.ebuild
> > Index: python-2.4.4-r04.2.ebuild
> > ===================================================================
> > --- python-2.4.4-r04.2.ebuild   (revision 6685)
> > +++ python-2.4.4-r04.2.ebuild   (working copy)
> > @@ -197,7 +197,7 @@
> >                --with-gcc \
> >                ${myconf} || die
> >        emake || die "Parallel make failed"
> > -       [[ ${CHOST} == *-darwin* ]] && emake libpython2.4.dylib || die
> > +       [[ ${CHOST} == *-darwin* ]] && { emake libpython2.4.dylib || die }
> > }
> >
> > src_install() {
> >
> >
> > --
> >
> > FList
> > --
> > [hidden email] mailing list
> >
>
> --
> Fabian Groffen
> Gentoo on a different level
>
> --
> [hidden email] mailing list
>
>


--

FList
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: [PREFIX][solaris] patch for python-2.4.4-r04.2

Fabian Groffen-2
On 11-06-2007 12:51:33 +0200, Fabrizio Listello wrote:
> my apologies for my lameness., too.
> I send the patch before testing... there is a ";" missing after "die".

In general I avoid the { } syntax in ebuilds, so I did a simple if [[ ]] ;
then ... fi patch instead ;)


> On 6/11/07, Fabian Groffen <[hidden email]> wrote:
>> On 11-06-2007 12:39:24 +0200, Fabrizio Listello wrote:
>> > This is a little patch for python ebuild.
>> > I just added '{}' or it will die for every non-darwin.
>>
>> my apologies for my lameness.  Consider it fixed.

--
Fabian Groffen
Gentoo on a different level

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: [PREFIX][solaris] patch for python-2.4.4-r04.2

Fabrizio Listello
There is an official guidelien for this?
Should ebuilds maximize readability ("if ...; then fi" form ) or
compactness  ("{}" form)?

On 6/11/07, Fabian Groffen <[hidden email]> wrote:

> On 11-06-2007 12:51:33 +0200, Fabrizio Listello wrote:
> > my apologies for my lameness., too.
> > I send the patch before testing... there is a ";" missing after "die".
>
> In general I avoid the { } syntax in ebuilds, so I did a simple if [[ ]] ;
> then ... fi patch instead ;)
>
>
> > On 6/11/07, Fabian Groffen <[hidden email]> wrote:
> >> On 11-06-2007 12:39:24 +0200, Fabrizio Listello wrote:
> >> > This is a little patch for python ebuild.
> >> > I just added '{}' or it will die for every non-darwin.
> >>
> >> my apologies for my lameness.  Consider it fixed.
>
> --
> Fabian Groffen
> Gentoo on a different level
>
> --
> [hidden email] mailing list
>
>


--

FList
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: [PREFIX][solaris] patch for python-2.4.4-r04.2

Fabian Groffen-2
On 11-06-2007 13:01:50 +0200, Fabrizio Listello wrote:
> There is an official guidelien for this?
> Should ebuilds maximize readability ("if ...; then fi" form ) or
> compactness  ("{}" form)?

I think the unwritten rules are that in general:
- you try to be compact for "oneliners":
  use something && do this || do that
- if you need multiple statements(, that are related) use if ... fi
  syntax

In general I think it's "try to be minimal for trivial stuff", and "be
elaborate for things that are not trivial".  Rationale will be that
others need to be able to understand your code easily.

--
Fabian Groffen
Gentoo on a different level

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: [PREFIX][solaris] patch for python-2.4.4-r04.2

Fabrizio Listello
Agreed

On 6/11/07, Fabian Groffen <[hidden email]> wrote:

> On 11-06-2007 13:01:50 +0200, Fabrizio Listello wrote:
> > There is an official guidelien for this?
> > Should ebuilds maximize readability ("if ...; then fi" form ) or
> > compactness  ("{}" form)?
>
> I think the unwritten rules are that in general:
> - you try to be compact for "oneliners":
>   use something && do this || do that
> - if you need multiple statements(, that are related) use if ... fi
>   syntax
>
> In general I think it's "try to be minimal for trivial stuff", and "be
> elaborate for things that are not trivial".  Rationale will be that
> others need to be able to understand your code easily.
>
> --
> Fabian Groffen
> Gentoo on a different level
>
> --
> [hidden email] mailing list
>
>


--

FList
--
[hidden email] mailing list